# Update

Launch stage: Public Preview

`PATCH /api/2.1/accounts/{account_id}/settings/{name}`

Patch a setting value at account level. See `settingsv2/listaccountsettingsmetadata` for list of setting available via public APIs at account level.
 To determine the correct field to include in a patch request, refer to the type field of the setting returned in the `settingsv2/listaccountsettingsmetadata` response.

 Note: Page refresh is required for changes to take effect in UI.

API scopes: settings

## Path parameters

- `account_id` (string, optional)
  <Databricks> account ID of the account being managed.
- `name` (string, optional)

## Request body

- `setting` (object, optional)
  - `name` (string, optional)
    Name of the setting.
  - `boolean_val` (object, required)
    Setting value for boolean type setting. This is the setting value set by consumers, check effective_boolean_val for final setting value.
    - `value` (boolean, optional)
  - `string_val` (object, required)
    Setting value for string type setting. This is the setting value set by consumers, check effective_string_val for final setting value.
    - `value` (string, optional)
      Represents a generic string value.
  - `integer_val` (object, required)
    Setting value for integer type setting. This is the setting value set by consumers, check effective_integer_val for final setting value.
    - `value` (int32, optional)
  - `automatic_cluster_update_workspace` (object, required)
    Setting value for automatic_cluster_update_workspace setting. This is the setting value set by consumers, check effective_automatic_cluster_update_workspace for final setting value.
    - `enabled` (boolean, optional)
    - `can_toggle` (boolean, optional)
    - `maintenance_window` (object, optional)
      - `week_day_based_schedule` (object, optional)
    - `enablement_details` (object, optional)
      - `unavailable_for_non_enterprise_tier` (boolean, optional)
        The feature is unavailable if the customer doesn't have enterprise tier
      - `unavailable_for_disabled_entitlement` (boolean, optional)
        The feature is unavailable if the corresponding entitlement disabled (see getShieldEntitlementEnable)
      - `forced_for_compliance_mode` (boolean, optional)
        The feature is force enabled if compliance mode is active
    - `restart_even_if_no_updates_available` (boolean, optional)
  - `aibi_dashboard_embedding_approved_domains` (object, required)
    Setting value for aibi_dashboard_embedding_approved_domains setting. This is the setting value set by consumers, check effective_aibi_dashboard_embedding_approved_domains for final setting value.
    - `approved_domains` (array of string, optional)
  - `aibi_dashboard_embedding_access_policy` (object, required)
    Setting value for aibi_dashboard_embedding_access_policy setting. This is the setting value set by consumers, check effective_aibi_dashboard_embedding_access_policy for final setting value.
    - `access_policy_type` (string, optional)
      Possible values: `ACCESS_POLICY_TYPE_UNSPECIFIED`, `ALLOW_ALL_DOMAINS`, `ALLOW_APPROVED_DOMAINS`, `DENY_ALL_DOMAINS`
  - `restrict_workspace_admins` (object, required)
    Setting value for restrict_workspace_admins setting. This is the setting value set by consumers, check effective_restrict_workspace_admins for final setting value.
    - `status` (string, optional)
      Possible values: `STATUS_UNSPECIFIED`, `ALLOW_ALL`, `RESTRICT_TOKENS_AND_JOB_RUN_AS`
    - `disable_gov_tag_creation` (boolean, optional)
      When true, workspace admins cannot create governance tags.
       ALLOW_ALL status does not override this; they are independent.
  - `personal_compute` (object, required)
    Setting value for personal_compute setting. This is the setting value set by consumers, check effective_personal_compute for final setting value.
    - `value` (string, optional)
      Possible values: `PERSONAL_COMPUTE_MESSAGE_ENUM_UNSPECIFIED`, `ON`, `DELEGATE`
  - `allowed_apps_user_api_scopes` (object, required, Beta)
    Setting value for allowed_apps_user_api_scopes setting. This is the setting value set by consumers, check effective_allowed_apps_user_api_scopes for final setting value.
    - `allowed_scopes` (array of string, optional, Beta)
  - `operational_email_custom_recipient` (object, required)
    Setting value for operational_email_custom_recipient setting. This is the setting value set by consumers, check effective_operational_email_custom_recipient for final setting value.
    - `email` (string, optional)
  - `effective_boolean_val` (object, required)
    Effective setting value for boolean type setting. This is the final effective value of setting. To set a value use boolean_val.
    - `value` (boolean, optional)
  - `effective_string_val` (object, required)
    Effective setting value for string type setting. This is the final effective value of setting. To set a value use string_val.
    - `value` (string, optional)
      Represents a generic string value.
  - `effective_integer_val` (object, required)
    Effective setting value for integer type setting. This is the final effective value of setting. To set a value use integer_val.
    - `value` (int32, optional)
  - `effective_automatic_cluster_update_workspace` (object, required)
    Effective setting value for automatic_cluster_update_workspace setting. This is the final effective value of setting. To set a value use automatic_cluster_update_workspace.
    - `enabled` (boolean, optional)
    - `can_toggle` (boolean, optional)
    - `maintenance_window` (object, optional)
      - `week_day_based_schedule` (object, optional)
    - `enablement_details` (object, optional)
      - `unavailable_for_non_enterprise_tier` (boolean, optional)
        The feature is unavailable if the customer doesn't have enterprise tier
      - `unavailable_for_disabled_entitlement` (boolean, optional)
        The feature is unavailable if the corresponding entitlement disabled (see getShieldEntitlementEnable)
      - `forced_for_compliance_mode` (boolean, optional)
        The feature is force enabled if compliance mode is active
    - `restart_even_if_no_updates_available` (boolean, optional)
  - `effective_aibi_dashboard_embedding_approved_domains` (object, required)
    Effective setting value for aibi_dashboard_embedding_approved_domains setting. This is the final effective value of setting. To set a value use aibi_dashboard_embedding_approved_domains.
    - `approved_domains` (array of string, optional)
  - `effective_aibi_dashboard_embedding_access_policy` (object, required)
    Effective setting value for aibi_dashboard_embedding_access_policy setting. This is the final effective value of setting. To set a value use aibi_dashboard_embedding_access_policy.
    - `access_policy_type` (string, optional)
      Possible values: `ACCESS_POLICY_TYPE_UNSPECIFIED`, `ALLOW_ALL_DOMAINS`, `ALLOW_APPROVED_DOMAINS`, `DENY_ALL_DOMAINS`
  - `effective_restrict_workspace_admins` (object, required)
    Effective setting value for restrict_workspace_admins setting. This is the final effective value of setting. To set a value use restrict_workspace_admins.
    - `status` (string, optional)
      Possible values: `STATUS_UNSPECIFIED`, `ALLOW_ALL`, `RESTRICT_TOKENS_AND_JOB_RUN_AS`
    - `disable_gov_tag_creation` (boolean, optional)
      When true, workspace admins cannot create governance tags.
       ALLOW_ALL status does not override this; they are independent.
  - `effective_personal_compute` (object, required)
    Effective setting value for personal_compute setting. This is the final effective value of setting. To set a value use personal_compute.
    - `value` (string, optional)
      Possible values: `PERSONAL_COMPUTE_MESSAGE_ENUM_UNSPECIFIED`, `ON`, `DELEGATE`
  - `effective_allowed_apps_user_api_scopes` (object, required, Beta)
    Effective setting value for allowed_apps_user_api_scopes setting. This is the final effective value of setting. To set a value use allowed_apps_user_api_scopes.
    - `allowed_scopes` (array of string, optional, Beta)
  - `effective_operational_email_custom_recipient` (object, required)
    Effective setting value for operational_email_custom_recipient setting. This is the final effective value of setting. To set a value use operational_email_custom_recipient.
    - `email` (string, optional)

## Returns

Returns the Setting object.

## Response

```json
{
  "name": "string",
  "boolean_val": {
    "value": true
  },
  "string_val": {
    "value": "string"
  },
  "integer_val": {
    "value": 0
  },
  "automatic_cluster_update_workspace": {
    "enabled": true,
    "can_toggle": true,
    "maintenance_window": {},
    "enablement_details": {},
    "restart_even_if_no_updates_available": true
  },
  "aibi_dashboard_embedding_approved_domains": {
    "approved_domains": [
      "string"
    ]
  },
  "aibi_dashboard_embedding_access_policy": {
    "access_policy_type": "string"
  },
  "restrict_workspace_admins": {
    "status": "string",
    "disable_gov_tag_creation": true
  },
  "personal_compute": {
    "value": "string"
  },
  "allowed_apps_user_api_scopes": {
    "allowed_scopes": [
      "string"
    ]
  },
  "operational_email_custom_recipient": {
    "email": "string"
  },
  "effective_boolean_val": {
    "value": true
  },
  "effective_string_val": {
    "value": "string"
  },
  "effective_integer_val": {
    "value": 0
  },
  "effective_automatic_cluster_update_workspace": {
    "enabled": true,
    "can_toggle": true,
    "maintenance_window": {},
    "enablement_details": {},
    "restart_even_if_no_updates_available": true
  },
  "effective_aibi_dashboard_embedding_approved_domains": {
    "approved_domains": [
      "string"
    ]
  },
  "effective_aibi_dashboard_embedding_access_policy": {
    "access_policy_type": "string"
  },
  "effective_restrict_workspace_admins": {
    "status": "string",
    "disable_gov_tag_creation": true
  },
  "effective_personal_compute": {
    "value": "string"
  },
  "effective_allowed_apps_user_api_scopes": {
    "allowed_scopes": [
      "string"
    ]
  },
  "effective_operational_email_custom_recipient": {
    "email": "string"
  }
}
```

